[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

RE: Run scripts

I am afraid that ld-linux.so.2 of RH80 does not work. Once I 
export LD_LIBRARY_PATH=/path/to/glibc:/path/to/glibc/nptl, 
I got error message "cannot handle file 'libc.so.6' with TLS data"
at almost every commands. 

It seems inevitable to install the new ld-linux.so.2.  Does it 
make sense if I relink the /lib/ld-linux.so.2 to the newly built 
one /path/to/glibc/ld-2.2.93.so?

I may think it over this weekend if I should be brave this time. :)
Thanks a lot for your information.

> -----Original Message-----
> From: Roland McGrath [mailto:roland redhat com]
> Sent: 2002?11?15? 5:20
> To: phil-list redhat com
> Subject: Re: Run scripts 
> No dice.  I think the only thing you can do is run in a 
> chroot environment,
> if you want everything to work normally.  Setting 
> environment will make it look for the libraries you want, but there is
> nothing that changes the hard-coded path /lib/ld-linux.so.2 in the
> binaries.  You will always get that dynamic linker.  It's 
> possible that the
> RHL8.0 build of ld-linux.so.2 is adequate for loading libc.so 
> et al built
> from the current sources, but I wouldn't want to bet on it.  If that
> doesn't work and you are sufficiently brave and/or foolhardy, 
> you could try
> installing the ld-linux.so.2 from your build in /lib and see 
> if that works
> with the installed libc.so.6 et al--but if it doesn't, you 
> will be royally
> screwed until you can put the old file back.
> -- 
> Phil-list mailing list
> Phil-list redhat com
> https://listman.redhat.com/mailman/listinfo/phil-list

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]